using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Infrastructure.Migrations.AppDb
{
    /// <inheritdoc />
    public partial class AddRankConfigFontAndDisplayFields : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsShowDonationCount",
                table: "DonationRankConfig",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsShowGradeIcon",
                table: "DonationRankConfig",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsShowMemberIcon",
                table: "DonationRankConfig",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "NameDisplayType",
                table: "DonationRankConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "Rank1FontColor",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Rank1FontFamily",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Rank1FontSizePx",
                table: "DonationRankConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "Rank2FontColor",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Rank2FontFamily",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Rank2FontSizePx",
                table: "DonationRankConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "Rank3FontColor",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Rank3FontFamily",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Rank3FontSizePx",
                table: "DonationRankConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "TitleFontColor",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TitleFontFamily",
                table: "DonationRankConfig",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TitleFontSizePx",
                table: "DonationRankConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsShowDonationCount",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "IsShowGradeIcon",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "IsShowMemberIcon",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "NameDisplayType",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank1FontColor",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank1FontFamily",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank1FontSizePx",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank2FontColor",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank2FontFamily",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank2FontSizePx",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank3FontColor",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank3FontFamily",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "Rank3FontSizePx",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "TitleFontColor",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "TitleFontFamily",
                table: "DonationRankConfig");

            migrationBuilder.DropColumn(
                name: "TitleFontSizePx",
                table: "DonationRankConfig");
        }
    }
}
